> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Получение результата задачи

> Используйте Midjourney задача результат API, чтобы получать статус генерации, выходные данные и URL результатов изображений в асинхронных сценариях.



## OpenAPI

````yaml openapi/ru/midjourney.json GET /midjourney/v1/fetch
openapi: 3.1.0
info:
  title: Документация TTAPI API
  version: 1.0.0
  description: Midjourney Интерфейсы, связанные с созданием изображений
servers:
  - url: https://api.ttapi.io
security: []
paths:
  /midjourney/v1/fetch:
    get:
      parameters:
        - name: jobId
          in: query
          required: true
          schema:
            type: string
          description: Идентификатор задания, возвращенный из предыдущего запроса
      responses:
        '200':
          description: Запрос выполнен успешно
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - 'PENDING_QUEUE '
                      - ON_QUEUE
                      - SUCCESS
                      - FAILED
                  message:
                    type: string
                    description: Сообщение ответа
                  jobId:
                    type: string
                    description: ID задач
                  data:
                    type: object
                    description: Результат задачи
                    properties:
                      jobId:
                        type: string
                        description: ID задач
                      action:
                        type: string
                        description: Тип задачи
                      progress:
                        type: string
                        description: Ход выполнения задачи
                      prompt:
                        type: string
                        description: Промпт
                      quota:
                        type: string
                        description: Израсходованная quota
                      discordImage:
                        type: string
                        description: >-
                          URL-адрес изображения Discord CDN. Срок действия: см.
                          [Хранение и устойчивость](/grids/ru/faq/storage)
                      cdnImage:
                        type: string
                        description: >-
                          Прокси-URL CDN, доступный внутри страны. Срок
                          действия: см. [Хранение и
                          устойчивость](/grids/ru/faq/storage)
                      width:
                        type: string
                        description: Ширина изображения
                      heigth:
                        type: string
                        description: Высота изображения
                      components:
                        type: array
                        description: Список выполняемых операций
                      seed:
                        type: string
                        description: Исходное изображение изображения
                      images:
                        type: array
                        description: >-
                          Список плиток изображений. Срок действия: см.
                          [Хранение и устойчивость](/grids/ru/faq/storage)
                      hookUrl:
                        type: string
                        description: URL обратного вызова
                example:
                  status: SUCCESS
                  message: ''
                  jobId: c679a92e-dae0-462d-b70f-dcfeaf2189fa
                  data:
                    action: imagine
                    jobId: c679a92e-dae0-462d-b70f-dcfeaf2189fa
                    progress: '100'
                    prompt: a cat
                    quota: '2'
                    discordImage: >-
                      https://cdn.ttapi.io/midjourney/2025-11-14/20260302_050724_554d43430e2e80dd.png
                    cdnImage: >-
                      https://cdn.ttapi.io/midjourney/2025-11-14/20260302_050724_554d43430e2e80dd.png
                    width: 1024
                    height: 1024
                    hookUrl: null
                    components:
                      - upsample1
                      - upsample2
                      - upsample3
                      - upsample4
                      - reroll
                      - variation1
                      - variation2
                      - variation3
                      - variation4
                    seed: null
                    images:
                      - >-
                        https://cdn.ttapi.io/midjourney/20260302/bf839f4e-b7c0-4d14-922c-a842ad451443tl.png
                      - >-
                        https://cdn.ttapi.io/midjourney/20260302/bf839f4e-b7c0-4d14-922c-a842ad451443tr.png
                      - >-
                        https://cdn.ttapi.io/midjourney/20260302/bf839f4e-b7c0-4d14-922c-a842ad451443bl.png
                      - >-
                        https://cdn.ttapi.io/midjourney/20260302/bf839f4e-b7c0-4d14-922c-a842ad451443br.png
                required:
                  - status
                  - message
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  responses:
    400Response:
      description: Ошибка параметров
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: '"prompt" cannot be empty.'
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: Ошибка авторизации
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        Вы можете получить API-ключ в <a href='https://dashboard.ttapi.io'
        target='_blank'>панель управления TTAPI</a>.

````